Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::rotate_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S >
auto | operator() (I begin, I middle, S end) const -> subrange< I > requires permutable< I > &&sentinel_for< S, I >
template<typename Rng , typename I = iterator_t<Rng>>
auto | operator() (Rng &&rng, I middle) const -> safe_subrange_t< Rng > requires range< Rng > &&permutable< I >